#include "models/plane.h"
#include "renderer.h"

typedef struct {
  mat4x4 transform;
  vec3 velocity;
  model model;
} gameObj;

gameObj rocket = {
    {{1., 0., 0., 0.}, {0., 1., 0., 0.}, {0., 0., 1., 0.}, {0., -1., -10., 0.}},
    {0.0, 0.0, 0.0},
    testModel};

const gameObj *allGameObjs[] = {&rocket};

int vertBufferSize() {
  int count = sizeof(allGameObjs) / sizeof(void *);
  int result = 0;
  for (int i = 0; i < count; i++) {
    if (result < allGameObjs[i]->model.vert_size) {
      result = allGameObjs[i]->model.vert_size;
    }
  }
  return result * sizeof(vec4);
}
